Skip to content
Proud to collaborate with Microsoft for Startups

docusign.user-profiles.put-profile ​

Updates the user's detail information, profile information, privacy settings, and personal information in the user ID card. You can also change a user's name by changing the information in the userDetails property. When changing a user's name, you can either change the information in the userName property OR change the information in firstName, middleName, lastName, suffixName, and title properties. Changes to firstName, middleName, lastName, suffixName, and title properties take precedence over changes to the userName property.

Updates the user profile information for the specified user.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
useridstringYes—The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.
addressjsonNo—Contains address information.
authenticationmethodslistNo—Indicates the authentication methods that the user uses. These properties cannot be modified by the PUT operation.
companynamestringNo—The name of the user's company.
displayorganizationinfostringNo—When true, the user's company and title information display on the ID card.
displaypersonalinfostringNo—When true, the user's address and phone number display on the ID card.
displayprofilestringNo—When true, the user's ID card can be viewed from signed documents and envelope history.
displayusagehistorystringNo—When true, the user's usage information displays on the ID card.
profileimageuristringNo—The URL for retrieving the user's profile image.
titlestringNo—The title of the user.
usagehistoryjsonNo—A complex element consisting of: * lastSentDateTime - the date and time the user last sent an envelope. * lastSignedDateTime - the date and time the user last signed an envelope. * sentCount - the number of envelopes the user has sent. * signedCount - the number of envelopes the user has signed.
userdetailsjsonNo—User information.
userprofilelastmodifieddatestringNo—The date and time that the user's profile was last modified.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
useridstringYes—The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.
addressjsonNo—Contains address information.
authenticationmethodslistNo—Indicates the authentication methods that the user uses. These properties cannot be modified by the PUT operation.
companynamestringNo—The name of the user's company.
displayorganizationinfostringNo—When true, the user's company and title information display on the ID card.
displaypersonalinfostringNo—When true, the user's address and phone number display on the ID card.
displayprofilestringNo—When true, the user's ID card can be viewed from signed documents and envelope history.
displayusagehistorystringNo—When true, the user's usage information displays on the ID card.
profileimageuristringNo—The URL for retrieving the user's profile image.
titlestringNo—The title of the user.
usagehistoryjsonNo—A complex element consisting of: * lastSentDateTime - the date and time the user last sent an envelope. * lastSignedDateTime - the date and time the user last signed an envelope. * sentCount - the number of envelopes the user has sent. * signedCount - the number of envelopes the user has signed.
userdetailsjsonNo—User information.
userprofilelastmodifieddatestringNo—The date and time that the user's profile was last modified.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v2.1/accounts/{accountId}/users/{userId}/profile
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v2.1/accounts/{accountId}/users/{userId}/profile
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.user-profiles.put-profile",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "userid": "value"
  }
}